<?php
    /**
     * The template for the panel footer area.
     * Override this template by specifying the path where it is stored (templates_path) in your Redux config.
     *
     * @author        Redux Framework
     * @package       ReduxFramework/Templates
     * @version:      3.6.10
     */
?>
<div id="redux-sticky-padder" style="display: none;">&nbsp;</div>
<div id="redux-footer-sticky">
    <div id="redux-footer">


        <div class="redux-action_bar">
            <span class="spinner"></span>
<?php 
           if ( false === $this->parent->args['hide_save'] ) {
                submit_button( __( 'Save Changes', 'mf' ), 'primary', 'redux_save', false );
                echo '&nbsp';
            }

            if ( false === $this->parent->args['hide_reset'] ) {
                submit_button( __( 'Reset Section', 'mf' ), 'secondary', $this->parent->args['opt_name'] . '[defaults-section]', false, array( 'id' => 'redux-defaults-section' ) );
                echo '&nbsp';
                submit_button( __( 'Reset All', 'mf' ), 'secondary', $this->parent->args['opt_name'] . '[defaults]', false, array( 'id' => 'redux-defaults' ) );
            } 
?>
        </div>

        <div class="redux-ajax-loading" alt="<?php _e( 'Working...', 'mf' ) ?>">&nbsp;</div>
        <div class="clear"></div>

    </div>
</div>
