<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://codex.wordpress.org/Template_Hierarchy
*
* @package MF Theme
*/
get_header(); 

get_template_part( 'template-parts/page-headers');
$pagebgcolor = $mf_options['page-bg-color'];

$page_gl_titlebg = $mf_options['tr-default-pg-bg']['url'];
?>   
<div class="content-main">
  <div id="primary" class="site-content">
    <div id="content" role="main" style="background-color: <?php echo esc_attr($pagebgcolor); ?>">  
      <?php get_template_part( 'template-parts/seach-title'); ?>  
  <!-- main -->
  <!-- main -->
  <main id="main" class="site-main">
    <!-- Slider -->
    <!-- #Slider -->
    <?php if ( have_posts() ) : ?>


    <?php get_template_part( 'template-parts/content', 'search' ); ?>
    <?php else : ?>
    <?php get_template_part( 'template-parts/content', 'none' ); ?>
    <?php endif; ?>
  </main>
  <!-- #main -->
</div>
<!-- #primary -->
<?php get_footer(); ?>






























